Skip to content

Get my user details

GET
/openapi/user/me
curl --request GET \
--url https://open-api.replyco.com/openapi/user/me \
--header 'Authorization: Bearer <token>'

Returns the profile of the authenticated user (the user the access token represents) — such as id, first/last name, email, phone, company id, and personal preferences.

For security, the refresh token is never included in this response (use the auth token endpoint to obtain tokens).

Returns the current user.

Media typeapplication/json
object
id
string format: uuid
firstName
string
nullable
lastName
string
nullable
phone
string
nullable
email
string
nullable
lastLogin
string format: date-time
nullable
registrationToken
string
nullable
companyId
string format: uuid
unassignThreadUponResolve
boolean
markAsReadThreadUponResolve
boolean
ticketListPermission
integer format: int32
Allowed values: 0 - None 1 - MyTickets 2 - NotResolved 4 - Unassigned 8 - Resolved 16 - AllTickets 32 - Blocked 64 - Archive 128 - AllForSearch 256 - Snoozed 512 - Delayed 1024 - Starred 1919 - Default -1 - All
showUnlabelledTickets
boolean
enableFileConverter
boolean
fullName
string
nullable
refreshToken
object
deviceId
string
nullable
refreshToken
string
nullable
expireDate
string format: date-time
createdDate
string format: date-time

Example

{
"id": "3f1c2a9e-7b4d-4e1a-9c2f-5d8e6a7b9c01",
"firstName": "Robin",
"lastName": "Integration",
"fullName": "Robin Integration",
"email": "integration@example.com",
"companyId": "8a2d4f6b-1c3e-4a5b-8d7f-9e0a1b2c3d4e"
}

User is not authenticated or authorized.